From 96a633ce3f46ed102f38115000730bad41c4ed65 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?M=C3=93ZES=20=C3=81d=C3=A1m=20Istv=C3=A1n?=
 <adam.mozes@balabit.com>
Date: Fri, 18 Sep 2015 17:48:18 +0200
Subject: [PATCH] python-dest: Replace deprecated function calls.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This commit replaces all PyBytes_FromStringAndSize calls to
PyBytes_FromStringAndSize calls.
It will be compatible with the python2.6+ libraries, because this change
was made in the python headers, too.

Signed-off-by: MÓZES Ádám István <adam.mozes@balabit.com>
---
 modules/python/python-dest.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/python/python-dest.c b/modules/python/python-dest.c
index a5f927f..7d64058 100644
--- a/modules/python/python-dest.c
+++ b/modules/python/python-dest.c
@@ -96,8 +96,8 @@ python_dd_set_imports(LogDriver *d, GList *imports)
 void
 python_dd_insert_to_dict(gpointer key, gpointer value, gpointer dict)
 {
-  PyObject *key_pyobj = PyString_FromStringAndSize((gchar*) key, strlen((gchar*) key));
-  PyObject *value_pyobj = PyString_FromStringAndSize((gchar*) value, strlen((gchar*) value));
+  PyObject *key_pyobj = PyBytes_FromStringAndSize((gchar*) key, strlen((gchar*) key));
+  PyObject *value_pyobj = PyBytes_FromStringAndSize((gchar*) value, strlen((gchar*) value));
   PyDict_SetItem( (PyObject*) dict, key_pyobj, value_pyobj);
 }
 
